
package net.mcreator.worldwideadventure.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.RenderLayer;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.LivingEntityRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.MultiBufferSource;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.CowModel;

import net.mcreator.worldwideadventure.entity.CabridgerEntity;

import com.mojang.blaze3d.vertex.VertexConsumer;
import com.mojang.blaze3d.vertex.PoseStack;

public class CabridgerRenderer extends MobRenderer<CabridgerEntity, CowModel<CabridgerEntity>> {
	public CabridgerRenderer(EntityRendererProvider.Context context) {
		super(context, new CowModel(context.bakeLayer(ModelLayers.COW)), 0.5f);
		this.addLayer(new RenderLayer<CabridgerEntity, CowModel<CabridgerEntity>>(this) {
			final ResourceLocation LAYER_TEXTURE = new ResourceLocation("wwamod:textures/entities/cabringermodel.png");

			@Override
			public void render(PoseStack poseStack, MultiBufferSource bufferSource, int light, CabridgerEntity entity, float limbSwing, float limbSwingAmount, float partialTicks, float ageInTicks, float netHeadYaw, float headPitch) {
				VertexConsumer vertexConsumer = bufferSource.getBuffer(RenderType.entityCutoutNoCull(LAYER_TEXTURE));
				this.getParentModel().renderToBuffer(poseStack, vertexConsumer, light, LivingEntityRenderer.getOverlayCoords(entity, 0), 1, 1, 1, 1);
			}
		});
		this.addLayer(new RenderLayer<CabridgerEntity, CowModel<CabridgerEntity>>(this) {
			final ResourceLocation LAYER_TEXTURE = new ResourceLocation("wwamod:textures/entities/cabringermodel.png");

			@Override
			public void render(PoseStack poseStack, MultiBufferSource bufferSource, int light, CabridgerEntity entity, float limbSwing, float limbSwingAmount, float partialTicks, float ageInTicks, float netHeadYaw, float headPitch) {
				VertexConsumer vertexConsumer = bufferSource.getBuffer(RenderType.entityCutoutNoCull(LAYER_TEXTURE));
				this.getParentModel().renderToBuffer(poseStack, vertexConsumer, light, LivingEntityRenderer.getOverlayCoords(entity, 0), 1, 1, 1, 1);
			}
		});
	}

	@Override
	public ResourceLocation getTextureLocation(CabridgerEntity entity) {
		return new ResourceLocation("wwamod:textures/entities/cabringertexture.png");
	}
}
