
package net.mcreator.worldwideadventure.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.RenderLayer;
import net.minecraft.client.renderer.entity.layers.HumanoidArmorLayer;
import net.minecraft.client.renderer.entity.LivingEntityRenderer;
import net.minecraft.client.renderer.entity.HumanoidMobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.MultiBufferSource;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.HumanoidModel;

import net.mcreator.worldwideadventure.entity.WanderingSkeletonEntity;

import com.mojang.blaze3d.vertex.VertexConsumer;
import com.mojang.blaze3d.vertex.PoseStack;

public class WanderingSkeletonRenderer extends HumanoidMobRenderer<WanderingSkeletonEntity, HumanoidModel<WanderingSkeletonEntity>> {
	public WanderingSkeletonRenderer(EntityRendererProvider.Context context) {
		super(context, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER)), 0.5f);
		this.addLayer(new HumanoidArmorLayer(this, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_INNER_ARMOR)), new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_OUTER_ARMOR)), context.getModelManager()));
		this.addLayer(new RenderLayer<WanderingSkeletonEntity, HumanoidModel<WanderingSkeletonEntity>>(this) {
			final ResourceLocation LAYER_TEXTURE = new ResourceLocation("wwamod:textures/entities/9d87552221a00676.png");

			@Override
			public void render(PoseStack poseStack, MultiBufferSource bufferSource, int light, WanderingSkeletonEntity entity, float limbSwing, float limbSwingAmount, float partialTicks, float ageInTicks, float netHeadYaw, float headPitch) {
				VertexConsumer vertexConsumer = bufferSource.getBuffer(RenderType.entityCutoutNoCull(LAYER_TEXTURE));
				this.getParentModel().renderToBuffer(poseStack, vertexConsumer, light, LivingEntityRenderer.getOverlayCoords(entity, 0), 1, 1, 1, 1);
			}
		});
		this.addLayer(new RenderLayer<WanderingSkeletonEntity, HumanoidModel<WanderingSkeletonEntity>>(this) {
			final ResourceLocation LAYER_TEXTURE = new ResourceLocation("wwamod:textures/entities/9d87552221a00676.png");

			@Override
			public void render(PoseStack poseStack, MultiBufferSource bufferSource, int light, WanderingSkeletonEntity entity, float limbSwing, float limbSwingAmount, float partialTicks, float ageInTicks, float netHeadYaw, float headPitch) {
				VertexConsumer vertexConsumer = bufferSource.getBuffer(RenderType.entityCutoutNoCull(LAYER_TEXTURE));
				this.getParentModel().renderToBuffer(poseStack, vertexConsumer, light, LivingEntityRenderer.getOverlayCoords(entity, 0), 1, 1, 1, 1);
			}
		});
	}

	@Override
	public ResourceLocation getTextureLocation(WanderingSkeletonEntity entity) {
		return new ResourceLocation("wwamod:textures/entities/9d87552221a00676.png");
	}
}
